# RiskModelSampleSummary (ARX GUI Documentation)

org.deidentifier.arx.risk

## Class RiskModelSampleSummary

- java.lang.Object
- - org.deidentifier.arx.risk.RiskModelSampleSummary

-     public class RiskModelSampleSummary
      extends java.lang.Object

  This class implements risk measures as proposed by El Emam in "Guide to the De-Identification of Personal Health Information", "Measuring the Probability of Re-Identification"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RiskModelSampleSummary.JournalistRisk` Journalist risk
    `static class` | `RiskModelSampleSummary.MarketerRisk` Marketer risk
    `static class` | `RiskModelSampleSummary.ProsecutorRisk` Prosecutor risk
    `static class` | `RiskModelSampleSummary.RiskSummary` A set of derived risk estimates

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RiskModelSampleSummary(DataHandleInternal handle, java.util.Set<java.lang.String> identifiers, double threshold, WrappedBoolean stop, WrappedInteger progress)` Creates a new instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RiskModelSampleSummary.JournalistRisk` | `getJournalistRisk()` Returns the journalist risk
    `RiskModelSampleSummary.MarketerRisk` | `getMarketerRisk()` Returns the marketer risk
    `RiskModelSampleSummary.ProsecutorRisk` | `getProsecutorRisk()` Returns the prosecutor risk
    `double` | `getThreshold()` Returns the user-defined risk threshold for individual records

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RiskModelSampleSummary

          public RiskModelSampleSummary(DataHandleInternal handle,
                                java.util.Set<java.lang.String> identifiers,
                                double threshold,
                                WrappedBoolean stop,
                                WrappedInteger progress)

      Creates a new instance
      Parameters:
        `handle` - Handle
        `identifiers` - Identifiers
        `threshold` - Acceptable highest probability of re-identification for a single record
        `stop` - Stop flag
        `progress` - Progress

  - ### Method Detail

    - #### getJournalistRisk

          public RiskModelSampleSummary.JournalistRisk getJournalistRisk()

      Returns the journalist risk
      Returns:

    - #### getMarketerRisk

          public RiskModelSampleSummary.MarketerRisk getMarketerRisk()

      Returns the marketer risk
      Returns:

    - #### getProsecutorRisk

          public RiskModelSampleSummary.ProsecutorRisk getProsecutorRisk()

      Returns the prosecutor risk
      Returns:

    - #### getThreshold

          public double getThreshold()

      Returns the user-defined risk threshold for individual records
      Returns: